block_buffer_encoder.h File Reference

Single-call .xz Block encoder. More...

`#include "common.h"`

## Functions

uint64_t | lzma_block_buffer_bound64 (uint64_t uncompressed_size)

## Detailed Description

Single-call .xz Block encoder.

## Function Documentation

## lzma_block_buffer_bound64()

uint64_t lzma_block_buffer_bound64 | ( | uint64_t | uncompressed_size | ) |

uint64_t version of lzma_block_buffer_bound(). It is used by stream_encoder_mt.c. Probably the original lzma_block_buffer_bound() should have been 64-bit, but fixing it would break the ABI.